weka.core

## Interface OptionHandler

- All Known Subinterfaces:
    CARuleMiner, DistanceFunction
  All Known Implementing Classes:
    AbstractAssociator, AbstractClassifier, AbstractClusterer, AbstractDensityBasedClusterer, AbstractFileBasedStopwords, AbstractFileSaver, AbstractOutput, AbstractPlotInstances, AbstractStopwords, AbstractTimeSeries, AdaBoostM1, Add, AddClassification, AddCluster, AddExpression, AddID, AdditiveRegression, AddNoise, AddUserFields, AddValues, Agrawal, AllFilter, AllJavadoc, AlphabeticTokenizer, Apriori, ArffSaver, AttributeSelectedClassifier, AttributeSelection, AveragingResultProducer, Bagging, BallSplitter, BallTree, BallTreeConstructor, BayesNet, BayesNet, BayesNetEstimator, BayesNetGenerator, BestFirst, BIFReader, BIRCHCluster, BMAEstimator, BottomUpConstructor, BVDecompose, BVDecomposeSegCVSub, C45Saver, CachedKernel, Canopy, CartesianProduct, Center, CfsSubsetEval, ChangeDateFormat, CharacterDelimitedTokenizer, CharacterNGramTokenizer, ChebyshevDistance, Check, CheckAssociator, CheckAttributeSelection, CheckClassifier, CheckClusterer, CheckEstimator, CheckGOE, CheckKernel, CheckOptionHandler, CheckScheme, CheckSource, CheckSource, CISearchAlgorithm, ClassAssigner, ClassBalancer, ClassConditionalProbabilities, ClassificationGenerator, ClassificationViaRegression, ClassifierAttributeEval, ClassifierErrorsPlotInstances, ClassifierSplitEvaluator, ClassifierSubsetEval, ClassOrder, ClusterDefinition, ClustererAssignmentsPlotInstances, ClusterGenerator, ClusterMembership, Cobweb, Copy, CorrelationAttributeEval, CostSensitiveClassifier, CostSensitiveClassifierSplitEvaluator, CoverTree, CrossValidationResultProducer, CrossValidationSplitResultProducer, CSV, CSVLoader, CSVResultListener, CSVSaver, CVParameterSelection, DatabaseLoader, DatabaseResultProducer, DatabaseSaver, DataGenerator, DateToNumeric, DecisionStump, DecisionTable, DensityBasedClustererSplitEvaluator, DictionaryBuilder, DictionarySaver, DiscreteEstimator, DiscreteEstimatorBayes, DiscreteEstimatorFullBayes, Discretize, Discretize, EditableBayesNet, EM, Estimator, EuclideanDistance, Experiment, ExplicitTestsetResultProducer, Expression, FarthestFirst, Filter, FilteredAssociator, FilteredClassifier, FilteredClusterer, FilteredDistance, FilteredNeighbourSearch, FindWithCapabilities, FirstOrder, FixedDictionaryStringToWordVector, FPGrowth, FromFile, GainRatioAttributeEval, GaussianProcesses, GeneralRegression, GeneticSearch, GeneticSearch, GlobalInfoJavadoc, GlobalScoreSearchAlgorithm, GreedyStepwise, GroovyScript, HierarchicalClusterer, HillClimber, HillClimber, HoeffdingTree, HTML, IBk, ICSSearchAlgorithm, InfoGainAttributeEval, InMemory, InputMappedClassifier, InstanceQuery, InstancesResultListener, InterquartileRange, IteratedSingleClassifierEnhancer, IterativeClassifierOptimizer, J48, Javadoc, JRip, JSONSaver, JythonScript, K2, K2, KDTree, KDTreeNodeSplitter, Kernel, KernelEstimator, KernelFilter, KMeansInpiredMethod, KStar, LAGDHillClimber, LearningRateResultProducer, LED24, LibSVMSaver, LinearNNSearch, LinearRegression, ListOptions, LMT, LMTNode, LocalScoreSearchAlgorithm, Logistic, LogisticBase, LogitBoost, LWL, M5Base, M5P, M5Rules, MahalanobisEstimator, Main, MakeDensityBasedClusterer, MakeIndicator, ManhattanDistance, MathExpression, MatlabSaver, MedianDistanceFromArbitraryPoint, MedianOfWidestDimension, MedianOfWidestDimension, MergeInfrequentNominalValues, MergeManyValues, MergeNominalValues, MergeTwoValues, MexicanHat, MiddleOutConstructor, MidPointOfWidestDimension, MinkowskiDistance, MultiClassClassifier, MultiClassClassifierUpdateable, MultiFilter, MultilayerPerceptron, MultiNomialBMAEstimator, MultipleClassifiersCombiner, MultiScheme, MultiStopwords, NaiveBayes, NaiveBayes, NaiveBayesMultinomial, NaiveBayesMultinomialText, NaiveBayesMultinomialUpdateable, NaiveBayesUpdateable, NearestNeighbourSearch, NeuralNetwork, NGramTokenizer, NominalToBinary, NominalToBinary, NominalToString, NonSparseToSparse, NormalEstimator, NormalizableDistance, Normalize, NormalizedPolyKernel, Null, Null, NumericCleaner, NumericToBinary, NumericToDate, NumericToNominal, NumericTransform, Obfuscate, OneR, OneRAttributeEval, OptionHandlerJavadoc, OrdinalToNumeric, PairedCorrectedTTester, PairedTTester, ParallelIteratedSingleClassifierEnhancer, ParallelMultipleClassifiersCombiner, PART, PartitionedMultiFilter, PartitionMembership, PKIDiscretize, PlainText, PMMLClassifier, PointsClosestToFurthestChildren, PoissonEstimator, PolyKernel, PotentialClassIgnorer, PrecomputedKernelMatrixKernel, PreConstructedLinearModel, PrincipalComponents, PrincipalComponents, Puk, Rainbow, RandomCommittee, RandomForest, RandomizableClassifier, RandomizableClusterer, RandomizableDensityBasedClusterer, RandomizableFilteredClassifier, RandomizableIteratedSingleClassifierEnhancer, RandomizableMultipleClassifiersCombiner, RandomizableParallelIteratedSingleClassifierEnhancer, RandomizableParallelMultipleClassifiersCombiner, RandomizableSingleClassifierEnhancer, RandomizableSingleClustererEnhancer, Randomize, RandomProjection, RandomRBF, RandomSplitResultProducer, RandomSubset, RandomSubSpace, RandomTree, Ranker, RBFKernel, RDG1, RegExpFromFile, RegOptimizer, Regression, RegressionByDiscretization, RegressionGenerator, RegressionSplitEvaluator, RegSMO, RegSMOImproved, ReliefFAttributeEval, RemoteExperiment, Remove, RemoveByName, RemoveDuplicates, RemoveFolds, RemoveFrequentValues, RemoveMisclassified, RemovePercentage, RemoveRange, RemoveType, RemoveUseless, RemoveWithValues, RenameAttribute, RenameNominalValues, RenameRelation, Reorder, RepeatedHillClimber, RepeatedHillClimber, ReplaceMissingValues, ReplaceMissingWithUserConstant, ReplaceWithMissingValue, REPTree, Resample, Resample, ReservoirSample, ResultMatrix, ResultMatrixCSV, ResultMatrixGnuPlot, ResultMatrixHTML, ResultMatrixLatex, ResultMatrixPlainText, ResultMatrixSignificance, RuleNode, RuleSetModel, Script, SearchAlgorithm, SerializedClassifier, SerializedInstancesSaver, SGD, SGDText, SimpleBatchFilter, SimpleEstimator, SimpleFilter, SimpleKMeans, SimpleLinearRegression, SimpleLogistic, SimpleStreamFilter, SimulatedAnnealing, SimulatedAnnealing, SingleAssociatorEnhancer, SingleClassifierEnhancer, SingleClustererEnhancer, SlidingMidPointOfWidestSide, SMO, SMOreg, SnowballStemmer, SortLabels, SparseToNonSparse, SpreadSubsample, Stacking, Standardize, StratifiedRemoveFolds, StringKernel, StringToNominal, StringToWordVector, SubsetByExpression, SubspaceCluster, SubspaceClusterDefinition, SupportVectorMachineModel, SVMLightSaver, SwapValues, SymmetricalUncertAttributeEval, TabuSearch, TabuSearch, TAN, TAN, TechnicalInformationHandlerJavadoc, TestInstances, TextDirectoryLoader, TimeSeriesDelta, TimeSeriesTranslate, Tokenizer, TopDownConstructor, Transpose, TreeModel, UnivariateMixtureEstimator, Vote, VotedPerceptron, WeightedInstancesHandlerWrapper, WordsFromFile, WordTokenizer, WrapperSubsetEval, XML, XRFFSaver, ZeroR

      public interface OptionHandler

  Interface to something that understands options.
  Version:
    $Revision: 10141 $
  Author:
    Eibe Frank (eibe@cs.waikato.ac.nz), Len Trigg (trigg@cs.waikato.ac.nz)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getOptions()` Gets the current option settings for the OptionHandler.
    `java.util.Enumeration<Option>` | `listOptions()` Returns an enumeration of all the available options..
    `void` | `setOptions(java.lang.String[] options)` Sets the OptionHandler's options using the given list.

- - ### Method Detail

    - #### listOptions

          java.util.Enumeration<Option> listOptions()

      Returns an enumeration of all the available options..
      Returns:
        an enumeration of all available options.

    - #### setOptions

          void setOptions(java.lang.String[] options)
                   throws java.lang.Exception

      Sets the OptionHandler's options using the given list. All options will be set (or reset) during this call (i.e. incremental setting of options is not possible).
      Parameters:
        `options` - the list of options as an array of strings
      Throws:
        `java.lang.Exception` - if an option is not supported

    - #### getOptions

          java.lang.String[] getOptions()

      Gets the current option settings for the OptionHandler.
      Returns:
        the list of current option settings as an array of strings